WPA_PASSPHRASE(8)

NAME
wpa_passphrase - utility for generating a 256-bit pre-shared WPA key from an ASCII passphrase

SYNOPSIS
wpa_passphrase <ssid> [passphrase]

DESCRIPTION
The wpa_passphrase utility is a small program for generating a 256-bit pre-shared WPA key from an ASCII passphrase and a given SSID. The output is formatted for inclusion in wpa_supplicant.conf(5).

If wpa_passphrase is called with only an SSID as argument it will prompt for a passphrase on standard input.

SEE ALSO
wpa_supplicant.conf(5), wpa_supplicant(8)

HISTORY
The wpa_passphrase utility first appeared in FreeBSD 6.3.

AUTHORS
-nosplit The wpa_passphrase utility was written by Jouni Malinen <j@w1.fi>.

This manual page was written by Henrik Brix Andersen <henrik@brixandersen.dk>.